Skip to main content
GET
/
{apiVersion}
/
{apiProvince}
/
profile
Get A Profile
curl --request GET \
  --url https://api.getbuildify.com/{apiVersion}/{apiProvince}/profile \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/profile"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"{\n  \"address\": \"317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada\",\n  \"listings\": [\n    \"Listings/Q2TAED\"\n  ],\n  \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png\",\n  \"name\": \"Niche Development\",\n  \"website\": \"nichedevelopment.ca\",\n  \"path\": \"Builders/06K1RDAiqm543AVo72BE\",\n  \"sample\": \"saath.bas@gmail.com\",\n  \"id\": \"06K1RDAiqm543AVo72BE\"\n}"
"{\n    \"error\": \"Id cannnot be blank\"\n}"
"{\n    \"requestId\": \"1675936150799092284-YXdzLWFwLXNvdXRoLTE=-3e432f646b59475583534d68f6414209958dd1cbf33e493f9d6bc4eb418b96ca\",\n    \"message\": \"Forbidden\"\n}"
"{\n  \"requestId\": \"1675932987473164913-YXdzLXVzLWVhc3QtMQ==-8940c8c29e0c483cbc1dd0088d8be80242cd8bd4c6434ffebd9cd149766822b0\",\n  \"message\": \"No data product found. Please contact your data provider\"\n}"
"{\n  \"message\": \"Error: 500\"\n}"

Authorizations

x-api-key
string
header
required

Path Parameters

apiVersion
enum<string>
required
Available options:
v1-sandbox,
v1-lite,
v1
apiProvince
enum<string>
default:on
required
Available options:
all,
on,
bc,
ab,
mb,
nb,
nl,
ns,
pe,
qc,
sk

Query Parameters

id
string
required

Profile ID to fetch.

collection
enum<string>
required

Collection name of the profile to search from. See more info .

Available options:
,
Architects,
Builders,
InteriorDesigners,
Marketers,
SalesCentres,
SalesCompanies
referrences
string

Fields to attach referrences. For example: builders, marketers, etc. It should be comma separated. See more info.

Response

200

address
string
Example:

"317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada"

listings
string[]
Example:

"https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png"

name
string
Example:

"Niche Development"

website
string
Example:

"nichedevelopment.ca"

path
string
Example:

"Builders/06K1RDAiqm543AVo72BE"

sample
string
Example:

"saath.bas@gmail.com"

id
string
Example:

"06K1RDAiqm543AVo72BE"